
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/cpu/common.c |    2 +-
 arch/i386/kernel/smpboot.c    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/smpboot.c~cpu-state-clean-after-hot-remove-smp_processor_id-cleanup-fix arch/i386/kernel/smpboot.c
--- 25/arch/i386/kernel/smpboot.c~cpu-state-clean-after-hot-remove-smp_processor_id-cleanup-fix	2005-05-31 20:16:28.000000000 -0700
+++ 25-akpm/arch/i386/kernel/smpboot.c	2005-05-31 20:34:50.000000000 -0700
@@ -926,7 +926,7 @@ static int __devinit do_boot_cpu(int api
 #ifdef CONFIG_HOTPLUG_CPU
 void cpu_exit_clear(void)
 {
-	int cpu = _smp_processor_id();
+	int cpu = raw_smp_processor_id();
 
 	idle_task_exit();
 
diff -puN arch/i386/kernel/cpu/common.c~cpu-state-clean-after-hot-remove-smp_processor_id-cleanup-fix arch/i386/kernel/cpu/common.c
--- 25/arch/i386/kernel/cpu/common.c~cpu-state-clean-after-hot-remove-smp_processor_id-cleanup-fix	2005-05-31 20:35:22.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/common.c	2005-05-31 20:35:27.000000000 -0700
@@ -655,7 +655,7 @@ void __devinit cpu_init(void)
 #ifdef CONFIG_HOTPLUG_CPU
 void __devinit cpu_uninit(void)
 {
-	int cpu = _smp_processor_id();
+	int cpu = raw_smp_processor_id();
 	cpu_clear(cpu, cpu_initialized);
 
 	/* lazy TLB state */
_
